# List Lead Finder Lists

> The workspace's people and company shortlists.

Requires an API key with the `read` scope.

## Query Parameters

<ParamField query="kind" type="string">
  `people` or `companies`. Omit for both.
</ParamField>

## Response

<ResponseField name="data" type="object">
  Result.

  <Expandable title="data">
    <ResponseField name="lists" type="array">
      Lists, newest first.

      <Expandable title="lists">
        <ResponseField name="id" type="string">List identifier.</ResponseField>
        <ResponseField name="name" type="string">List name.</ResponseField>
        <ResponseField name="kind" type="string">`people` or `companies`.</ResponseField>
        <ResponseField name="itemCount" type="integer">Items in the list.</ResponseField>
        <ResponseField name="createdAt" type="string">ISO 8601 timestamp.</ResponseField>
        <ResponseField name="updatedAt" type="string">ISO 8601 timestamp.</ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
```bash cURL
curl -X GET "https://api.foxreach.io/api/v1/lead-finder/lists?kind=people" \
  -H "X-API-Key: otr_your_key"
```

```python Python SDK (beta)
from foxreach import FoxReach

client = FoxReach(api_key="otr_your_key")
lists = client.lead_finder.list_lead_finder_lists(kind="people")
```

```typescript TypeScript SDK (beta)
import { FoxReach } from "foxreach";

const client = new FoxReach({ apiKey: "otr_your_key" });
const lists = await client.leadFinder.lists("people");
```
</RequestExample>

<ResponseExample>
```json
{
  "data": {
    "lists": [
      {
        "id": "lst_abc123",
        "name": "Austin CTOs",
        "kind": "people",
        "itemCount": 42,
        "createdAt": "2026-10-20T09:00:00",
        "updatedAt": "2026-10-28T16:30:00"
      }
    ]
  }
}
```
</ResponseExample>

## Errors

| Status | Description |
|--------|-------------|
| `401` | Missing, invalid, revoked or expired API key |
| `403` | API key does not have the required scope: `read` |
| `404` | `Lead Finder is not enabled` while Lead Finder is switched off on this environment |
| `422` | `kind must be people or companies` |
| `503` | `Lead Finder is not configured` when it is enabled but has no data provider key |

## Rate Limit

- **100 requests per minute, per API key.** Fixed 60-second window.
- Every response includes `X-RateLimit-Limit`, `X-RateLimit-Remaining`, and `X-RateLimit-Reset` (unix epoch seconds).
- A `429` response includes a `Retry-After` header (seconds until the bucket resets).

For client-side patterns (`Retry-After`, exponential backoff, monitoring `X-RateLimit-Remaining`), see [Rate Limiting](/rate-limiting).
